> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autheo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Net version

## `net_version`

Returns the current network id.

**Parameters**

None

**Returns**

\[String] - The current network id.

**Example**

```
// Request
curl -X POST https://rpc1.autheo.com -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'
// Result
{"jsonrpc":"2.0","id":67,"result":"785"}
```

## `net_listening`

Returns true if client is actively listening for network connections.

**Parameters**

None

**Returns**

\[Boolean] - true when listening, otherwise false.

**Example**

```
// Request
curl -X POST https://rpc1.autheo.com -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"net_listening","params":[],"id":67}'
 
// Result
{"jsonrpc":"2.0","id":67,"result":true}
```

## `net_peerCount`

Returns number of peers currently connected to the client.

**Parameters**

None

**Returns**

QUANTITY - integer of the number of connected peers.

**Example**

```
// Request
curl -X POST https://rpc1.autheo.com -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"net_peerCount","params":[],"id":74}'
// Result
{"jsonrpc":"2.0","id":74,"result":3}
```
